Bug 200295 - Coolkey does not support CAC cards with less than 3 certs
Coolkey does not support CAC cards with less than 3 certs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coolkey (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
:
Depends On:
Blocks: 202042
  Show dependency treegraph
 
Reported: 2006-07-26 14:14 EDT by Bob Relyea
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0631
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:31:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow CAC cards with less than 3 certs (2.37 KB, patch)
2006-07-26 16:01 EDT, Bob Relyea
no flags Details | Diff

  None (edit)
Description Bob Relyea 2006-07-26 14:14:48 EDT
Description of problem:
CAC cards can have 1-3 certificates. Coolkey will fail if the CAC card has only
1 certificate.

How reproducible:
Plug in a CAC card with only 1 cert. Any software using coolkey will not
recognize the card.
Comment 1 Bob Relyea 2006-07-26 16:01:10 EDT
Created attachment 133103 [details]
Allow CAC cards with less than 3 certs
Comment 2 Daniel Riek 2007-04-30 23:03:17 EDT
Found during cleanup and not sure if fixed yet.

Proposing for 5.1 and PM_ACK as component is already approved.
Comment 3 Bob Relyea 2007-06-01 21:18:43 EDT
Fixed in coolkey-1.1.0-2_el5

I verified there was not major functionality change between the rebased coolkey
and 1.0.1 with patches. The only differences in the tree where:

1) minor build changes for other platforms (no affect on RHEL).
2) simple change to enable optional syslog login.
3) the fix to this bug.

The latter is by far the biggest change between 1.0.1 and 1.1.0 with patches.
This is because 1.1.0 is basically a roll-up of the patches we have already made
to 1.0.1

bob
Comment 5 Chandrasekar Kannan 2007-08-30 18:53:31 EDT
marking bug VERIFIED. tested on rhel5-x86_64 with snapshot#4, using a CAC
card that had 1 cert.
Comment 7 errata-xmlrpc 2007-11-07 10:31:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0631.html

Note You need to log in before you can comment on or make changes to this bug.